#!/bin/sh

# PROVIDE: samhain
# REQUIRE: LOGIN
# KEYWORD: shutdown

. /etc/rc.subr

name="samhain"
rcvar=`set_rcvar`

pidfile="/var/run/samhain.pid"

# there are no required_files in general,
# as they might be downloaded from the server
#
# required_files="/usr/local/etc/samhainrc /var/lib/samhain/samhain_file"

extra_commands="reload"
stop_postcmd="remove_stale_files"

command="/usr/local/sbin/samhain"

is_set()
{
    eval "[ -n \"\${$1+X}\" ]"
}

remove_stale_files()
{
    if test -f /var/run/samhain.pid; then
	/bin/rm -f /var/run/samhain.pid
    fi
    /bin/rm -f /var/run/${name}.sock
}

load_rc_config "$name"

if ! is_set ${rcvar}; then 
    eval "${rcvar}=YES"
fi

run_rc_command "$1"

